PostgreSQL version 14 support

Could you please let me know whether Survey Solutions supports PostgreSQL version 14?

We are testing compatibility with PostgreSQL 14. Survey Solutions should be fully compatible with new version but we are recommending to stick to version 13 for critical data collection.

Indeed we use version 13 during our development and testing purposes so if you want to be on the safe side, you could follow @vitalii’s advice for your work.

However, if you, or any other user has experience of trying version 14, please feel free to share your observations here so that wider user community benefits from the information and will help us too to update our recommendations in the future.